
// ------------------------------------------------------------------------------
//
// LudumDare.com 48hr compo, July 2002
//
// Dave Reed (Bluescreen)'s entry
//
// OpenGL init code based on the NeHe turorials (nehe.gamedev.net)
//
// ------------------------------------------------------------------------------

#ifndef _GAME_H_
#define _GAME_H_

#include "sprites.h"

void GAME_init(void);
void GAME_initTextures(void);
void GAME_deinit(void);
void GAME_update(void);
void GAME_render(void);
void GAME_renderTitScreen(void);


#define SFX_SLIME  0
#define SFX_READY  1
#define SFX_GO	   2
#define SFX_IGNITE 3
#define SFX_POP	   4
#define SFX_HISS   5
#define SFX_DEAD   6
#define SFX_DRIP	10


enum
{
	GAME_GETREADY=0,
	GAME_RUNNING,
	GAME_ENDOFPLAY,
	GAME_TITLESCREEN
};


typedef struct
{
	float worldAngle;

	VECTOR vPos;			// player pos
	VECTOR vVel;			// player velocity
	VECTOR vGrav;			// gravity vector;

	float  zoom;
	float  targetZoom;
	float  headAng;

	int	   onGround;
	int    delayTimer;
	int    flameCount;

	float  damage;			// as a percentage
	int    damaged;
	int    destroyed;
	int    woodTiles;

	int    state;

	int    lives;

	int level;

	BOOL bOB;
	BOOL bToasted;

} GAMEINFO;

extern GAMEINFO gameInfo;

#endif